Bug #1369

New lens Yongnuo 50mm f/1.8 II for Canon

Added by Michal Fapso 17 days ago. Updated 17 days ago.

Status:ClosedStart date:01 Oct 2018
Priority:NormalDue date:
Assignee:Robin Mills% Done:

100%

Category:not-a-bugEstimated time:1.00 hour
Target version:0.27

Description

Please, add this lens to Canon lenses:

Exif.CanonCs.LensType Short 1 (8434)
Exif.CanonCs.Lens Short 3 50.0 mm
Exif.Canon.LensModel Ascii 70 YN50mD f/1.8 II
Exif.Photo.LensSpecification Rational 4 50/1 50/1 0/0 0/0
Exif.Photo.LensModel Ascii 70 YN50mD f/1.8 II
Exif.Photo.LensSerialNumber Ascii 12 0000220d5f

Manufacturer link:
http://www.hkyongnuo.com/e-detaily.php?ID=429

Thanks a lot!

History

#1 Updated by Robin Mills 17 days ago

  • Status changed from New to Assigned
  • Assignee set to Robin Mills
  • Target version set to 0.27
  • % Done changed from 0 to 50
  • Estimated time set to 1.00

Michal

You can deal with this for yourself by updating the file ~/.exiv2. Please read this issue report: http://dev.exiv2.org/issues/1368

Robin

#2 Updated by Michal Fapso 17 days ago

Thanks, Robin, for your quick reply. I have just found out, that my darktable build uses exiv2 v0.25 which doesn't support the config file yet.

Here is a link to the Darktable Release PPA: https://launchpad.net/~pmjdebruijn/+archive/ubuntu/darktable-release
and to the Unstable PPA: https://launchpad.net/~pmjdebruijn/+archive/ubuntu/darktable-unstable

both containing the exiv2 v 0.25

It is not a big issue for me, since this is the only lens I have which is not identified properly :)
Michal

#3 Updated by Robin Mills 17 days ago

  • Category changed from lens to not-a-bug
  • Status changed from Assigned to Closed
  • % Done changed from 50 to 100

That's the same situation that was reported yesterday in #1368. I added the ~/.exiv2 feature in v0.26 because I get many requests to add new lens recognition. I didn't really understand the discussion here: https://discuss.pixls.us/t/darktable-on-ubuntu-18-04-exiv2-is-obsolete-any-ppa-snap-solving-this/8587/7

I'm working to release v0.27 RC1 at the moment and hope we'll get the v0.27 GM by Christmas. I expect the Linux distros will publish that in 2019 and darktable (and other applications such as GIMP, digiKam, GwenView, Shotwell) will release versions next year that use Exiv2 v0.27. Of course, you'll have to wait for this to appear and that shows the value of the ~/.exiv2 feature. Once you have that, you won't need to wait months/years to add a new lens.

Thanks for using darktable and Exiv2.

#4 Updated by Michal Fapso 17 days ago

Sure, that makes a lot of sense. Thank you for working on exiv2!
Michal

Also available in: Atom PDF

Redmine Appliance - Powered by TurnKey Linux